Bug 10346 - Sort out the problem with libtotem provides/conflicts
: Sort out the problem with libtotem provides/conflicts
Status: NEW
: Sisyphus
(All bugs in Sisyphus/libtotem)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 10339 15403
  Show dependency tree
 
Reported: 2006-11-30 00:40 by
Modified: 2008-08-20 00:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-30 00:40:32
Проблема освещена здесь: https://bugzilla.altlinux.org/show_bug.cgi?id=10339#c2
. Предлагается решить её следующим образом: libtotem переименовать в
libtotem-gstreamer, прописать Provides: libtotem в обоих вариантах
(libtotem-gstreamer и libtotem-xine) и взаимный Conflicts пакетов друг на друга
(можно только в libtotem-xine, поскольку он считается "как бы побочной
ветвью").
------- Comment #1 From 2006-11-30 21:46:59 -------
В incoming ушёл *totem-xine-* со следующими зависимостями:

totem-xine          Provides: totem          Conflicts: totem-gstreamer
libtotem-xine       Provides: libtotem       Conflicts: libtotem-gstreamer
libtotem-xine-devel Provides: libtotem-devel Conflicts:
libtotem-gstreamer-devel
totem-xine-nautilus Provides: totem-nautilus Conflicts:
totem-gstreamer-nautilus
totem-xine-vanity   Provides: totem-vanity   Conflicts: totem-gstreamer-vanity
------- Comment #2 From 2006-11-30 23:17:19 -------
vanity - это отдельная от totem программа. Сейчас соответствующий пакет
называется vanity-gstreamer и по-моему, это правильно.
Ну и теперь нужно найти нового мейнтейнера для [lib]totem[-gstreamer]. icesik
вроде бы собирался взять gstreamer, насчёт totem не знаю.
------- Comment #3 From 2006-11-30 23:18:13 -------
Да, и вместо totem-xine-vanity должен быть vanity-xine, соответственно.
------- Comment #4 From 2007-09-10 14:34:10 -------
Перевожу стрелки.
------- Comment #5 From 2008-01-06 18:01:16 -------
Ну как этого добились, конечно удивительно:
file /usr/lib/libtotem-plparser.so.7.1.1 from install of libtotem-2.20.1-alt1 
conflicts with file from package libtotem-xine-2.20.1-alt1
------- Comment #6 From 2008-01-06 18:02:53 -------
Как минимум Conflicts должен стоять, раз уж эти пакеты - разные варианты 
одного.
------- Comment #7 From 2008-01-06 18:52:55 -------
icesik@, поправь зависимости, пожалуйста, раз уж взялся собирать.
------- Comment #8 From 2008-08-20 00:30:03 -------
icesik@ как взялся собирать, так и перестал - перевешиваю на nobody@.